Subject: Re: [PATCH iproute2-next v2 2/2] tc: implement support for terse dump

From: Vlad Buslov <[email-masked]>
Date: Fri, 09 Oct 2020 15:15:31 +0300

On Fri 09 Oct 2020 at 15:03, Jamal Hadi Salim <[email-masked]> wrote:
> On 2020-10-08 11:34 a.m., Vlad Buslov wrote:
>>
>> On Thu 08 Oct 2020 at 15:58, Jamal Hadi Salim <[email-masked]> wrote:
>>
>>
>> Hi Jamal,
>>
>> The existing terse dump tdc tests will have to be changed according with
>> new iproute2 tc syntax for brief(terse) output.
>>
>
> Which test(s)?
> I see for example d45e mentioning terse but i dont see corresponding
> code in the iproute2 tree i just pulled.

Yes. The tests d45e and 7c65 were added as a part of kernel series, but
corresponding iproute2 patches were never merged. Tests expect original
"terse flag" syntax of V1 iproute2 series and will have to be changed to
use -brief option instead.

>
> I feel like changing the tests this early may not be a big issue
> if they havent propagated in the wild.
>
> cheers,
> jamal